All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.iom.orb
Class SASURI

    com.sas.iom.orb.SASURI

    public final class SASURI

A URI to identify an IOM server. Here is the format for an IOM URI:

     scheme://hostname[:port][;[protocol][;IOMNameValuePairs]]/

Where:

scheme
  Can be `IOM` for general IOM URIs. Or one of the specific types of an IOM URI, such as `SAS-OMA`.
protocol
  Can be one of `Bridge`, `COM` or `Internal`. If not specified, `Bridge` is the default.
IOMNameValuePairs
  If the name requires a value, the name and its value are to be separated by an equals sign. Name/value pairs are separated by a comma. The current valid name/value pairs are:
  `APPLICATIONNAME`
    The value for the option `APPLICATIONNAME` specifies the name of the application requesting the connection to the server. The server may use this name in logging, auditing, or performance tracking.
  `CLASSFACTORY` or `CLSID`
    The value for the option `CLASSFACTORY` specifies the GUID of the object for which to acquire an instance.
  `ENCR`
    The value for `ENCR` option specifies the encryption algorithm to request when connecting to the peer identified in this IOM URI.
  `ENCRLVL`
    The value for `ENCRLVL` option specifies the level of encryption to request when connecting to the peer identified in this IOM URI.
  `INTERFACEIID` or `IID`
    The value for `INTERFACEIID` option specifies the GUID of the desired interface within the object acquired.
  `LOCALE`
    Added in SAS 9.2. The value for the `LOCALE` option specifies the locale of the connecting peer.
  `MAJOR`
    Added in SAS 9.2. The value for the `MAJOR` option specifies the major portion of the bridge protocol version to use.
  `MINOR`
    Added in SAS 9.2. The value for the `MINOR` option specifies the minor portion of the bridge protocol version to use.
  `SECURITYPACKAGELIST`
    Added in SAS 9.2. The value for the `SECURITYPACKAGELIST` option is a comma separated string containing the list of packages to be negotiated with the server. This value should only be used when the SECURITYPACKAGE option has a value of Negotiate.
  `PASS`
    The value for `PASS` option specifies the password for the identity to use when connecting to the peer identified in this IOM URI.
  `SECURITYPACKAGE`
    Added in SAS 9.2. The value for the `SECURITYPACKAGE` option specifies the name of the security package that this client is prepared to use with the server. Possible values of this option are Negotiate, NTLM, or Kerberos.
  `SERVERNAME`
    Added in SAS 9.2. The value for the `SERVERNAME` option specifies the name of the server as it is known in the metadata.
  `SPN`
    Added in SAS 9.2. The value for the `SPN` option specifies the Service Principal Name that the client wishes to use with this IOM Server instance.
  `TIMEOUT`
    Added in SAS 9.2. The value for the `TIMEOUT` option specifies the timeout, in milliseconds, of all outcall activity.
  `TRUSTEDSAS`
    Has no value. Indicates that the owner of the current IOM Server is to be used as the identity when connecting to the peer identified in this IOM URI.
  `USER`
    The value for `USER` option specifies the identity to use when connecting to the peer identified in this IOM URI.

For compatibility with earlier releases of IOM Bridge for Java, URIs of this form are also supported:

     BRIDGE://hostname[:port][/[classID[?BridgeNameValuePairs]]]

The syntax for specifying BridgeNameValuePairs is the same as the syntax for specifying IOMNameValuePairs except that the pairs are separated by an ampersand instead of a comma.

If a SASURI contains a password, the password will be stored in the SASURI in an encrypted form. For compatibility with earlier releases, the password will be decrypted and returned as a String for calls to getPassword(), getPass(), getAttributes(), and getAttributesForScheme(). You can avoid the password decryption by calling getSealedPassword(), getSealedPass(), getSecureAttributes(), or getSecureAttributesForScheme(), respectively, instead.

Field Summary
`static java.lang.String` | `applicationNameKey` The key for IOM attribute `applicationname`.
`static java.lang.String` | `authServiceKey` The key for the IOM attribute `authService`.
`static java.lang.String` | `classFactoryKey` The key for IOM attribute `classfactory`.
`static java.lang.String` | `classNameKey` The key for IOM attribute `classname`.
`static java.lang.String` | `clsidKey` The key for IOM attribute `clsid`.
`static java.lang.String` | `domainKey` The key for IOM attribute `domain`.
`static java.lang.String` | `encrKey` The key for IOM attribute `encr`.
`static java.lang.String` | `encrLevelCredentials` IOM URI attribute `encrlvl` value credentials.
`static java.lang.String` | `encrLevelEverything` IOM URI attribute `encrlvl` value everything.
`static java.lang.String` | `encrLevelKey` The key for IOM attribute `encrlvl`.
`static java.lang.String` | `encrLevelNone` IOM URI attribute `encrlvl` value none.
`static java.lang.String` | `hostKey` The key for IOM attribute `host`.
`static java.lang.String` | `iidKey` The key for IOM attribute `iid`.
`static java.lang.String` | `interfaceIIDKey` The key for IOM attribute `interfaceiid`.
`static java.lang.String` | `localeKey` The key for IOM attribute `locale`.
`static java.lang.String` | `majorKey` The key for IOM attribute `major`.
`static java.lang.String` | `minorKey` The key for IOM attribute `minor`.
`static java.lang.String` | `noRedirectKey` The key for IOM attribute `noredirect`.
`static java.lang.String` | `passKey` The key for IOM attribute `pass`.
`static java.lang.String` | `portKey` The key for IOM attribute `port`.
`static java.lang.String` | `protocolBRG` IOM URI protocol Bridge.
`static java.lang.String` | `protocolCOM` IOM URI protocol COM.
`static java.lang.String` | `protocolINT` IOM URI protocol Internal.
`static java.lang.String` | `protocolKey` The key for IOM attribute `protocol`.
`static java.lang.String` | `proxyListKey` The key for the IOM attribute `proxylist`.
`static java.lang.String` | `sasCommandKey` The key for IOM attribute `sascommand`.
`static java.lang.String` | `schemeBRGS`
`static java.lang.String` | `schemeIOM` URI scheme `IOM`.
`static java.lang.String` | `schemeIOMS` URI scheme `IOMS`.
`static java.lang.String` | `schemeOMA` URI scheme `SAS-OMA`.
`static java.lang.String` | `sealedPassKey` The key for IOM attribute `sealedpass`.
`static java.lang.String` | `sealedPasswordKey` The key for IOM attribute `sealedpassword`.
`static java.lang.String` | `securityPackageKey` The key for IOM attribute `securitypackage`.
`static java.lang.String` | `securityPackageListKey` The key for IOM attribute `securitypackagelist`.
`static java.lang.String` | `serverNameKey` The key for IOM attribute `servername`.
`static java.lang.String` | `spnKey` The key for IOM attribute `spn`.
`static java.lang.String` | `svidKey` The key for IOM attribute `svid`.
`static java.lang.String` | `tenantIDKey` The key for the IOM attribute `tenantid`.
`static java.lang.String` | `ticketAuthenticationKey` The key for the IOM attributes `ticketAuthentication`.
`static java.lang.String` | `timeoutKey` The key for IOM attribute `timeout`.
`static java.lang.String` | `trustedSASKey` The key for IOM attribute `trustedsas`.
`static java.lang.String` | `userKey` The key for IOM attribute `user`.
`static java.lang.String` | `zeroConfigKey` The key for IOM attribute `zeroconfig`.

Constructor Summary
`SASURI(char[] uriChars)` Construct a SASURI for a character array.
`SASURI(java.lang.String str)` Construct a SASURI.

Method Summary
`static char[]` | `composeToCharArray(java.lang.String scheme, java.util.Map attrMap)`
`static SASURI` | `create(char[] uriChars)` Construct and return a SASURI from its character array representation.
`static SASURI` | `create(java.lang.String str)` Construct and return a SASURI from its string representation.
`boolean` | `equals(java.lang.Object that)`
`java.lang.String` | `getApplicationName()` Get the value of the `applicationname` attribute.
`java.util.Map` | `getAttributes()` Returns all the IOM attributes for this URI encapsulated in a `Map`.
`java.util.Map` | `getAttributesForScheme(java.lang.String scheme)` Returns all the IOM attributes for this URI corresponding to the given scheme encapsulated in a `Map`.
`java.lang.String` | `getAuthService()` Gets the value of the `authService` attribute.
`java.lang.String` | `getClassFactory()` Get the value of the `classfactory` attribute.
`java.lang.String` | `getClassName()` Get the value of the `classname` attribute.
`java.lang.String` | `getClsid()` Get the value of the `clsid` attribute.
`java.lang.String` | `getDomain()` Get the value of the `domain` attribute.
`java.lang.String` | `getEncr()` Get the value of the `encr` attribute.
`java.lang.String` | `getEncrLevel()` Get the value of the `encrlvl` attribute.
`java.lang.String` | `getHost()` Get the host part of the URI.
`java.lang.String` | `getIID()` Get the value of the `iid` attribute.
`java.lang.String` | `getInterfaceIID()` Get the value of the `interfaceiid` attribute.
`java.util.Locale` | `getLocale()` Get the value of the `locale` attribute.
`byte` | `getMajor()` Get the value of the `major` attribute.
`byte` | `getMinor()` Get the value of the `minor` attribute.
`java.lang.String` | `getPass()` Get the value of the `pass` attribute.
`int` | `getPort()` Get the port part of the URI.
`java.lang.Integer` | `getPortNumber()` Get the port part of the URI as an Integer.
`java.lang.String` | `getProtocol()` Get the protocol part of the URI.
`java.lang.String` | `getProxyList()` Get the value of the `proxylist` attribute.
`java.lang.String` | `getSasCommand()` Get the value of the `sascommand` attribute.
`java.lang.String` | `getScheme()` Get the scheme part of the URI.
`com.sas.net.crypto.SealedString` | `getSealedPass()`
`com.sas.net.crypto.SealedString` | `getSealedPassword()`
`java.util.Map` | `getSecureAttributes()` Returns all the IOM attributes for this URI encapsulated in a `Map`.
`java.util.Map` | `getSecureAttributesForScheme(java.lang.String scheme)` Returns the IOM attributes for this URI corresponding to the given scheme encapsulated in a `Map`.
`java.lang.String` | `getSecurityPackage()` Get the value of the `securitypackage` attribute.
`java.lang.String` | `getSecurityPackageList()` Get the value of the `securitypackagelist` attribute.
`java.lang.String` | `getServerName()` Get the value of the `servername` attribute.
`java.lang.String` | `getSPN()` Get the value of the `spn` attribute.
`java.lang.String` | `getSVID()` Get the value of the `svid` attribute.
`java.lang.String` | `getTenantID()` Get the value of the `tenantid` attribute.
`int` | `getTimeout()` Get the value of the `timeout` attribute.
`java.lang.String` | `getUser()` Get the value of the `user` attribute.
`int` | `hashCode()`
`boolean` | `isNoRedirect()` Returns `true` if the `noredirect` attribute was specified and `false` otherwise.
`boolean` | `isTicketAuthentication()` Returns `true` if the `ticketauthentication` attribute was specified and `false` otherwise.
`boolean` | `isTrustedSAS()` Returns `true` if the `trusted` attribute was specified and `false` otherwise.
`boolean` | `isZeroConfig()` Get the value of the `zeroconfig` attribute.
`java.lang.String` | `toBlottedString()` Returns the string used to construct this SASURI with sensitive information blotted out.
`char[]` | `toCharArray()`
`java.lang.String` | `toString()` Returns the string representation of this SASURI.
`protected static java.lang.String` | `unsealString(com.sas.net.crypto.SealedString sealed)`
`static void` | `updateAttribute(java.lang.String name, java.lang.Object value, java.util.Map attrMap)`
`static char[]` | `urlDecodeChars(char[] encChars)`
`static char[]` | `urlEncodeChars(char[] plainChars)`

Field Detail

### schemeIOM

    public static final java.lang.String schemeIOM

  URI scheme `IOM`.

  See Also:
    Constant Field Values

### schemeIOMS

    public static final java.lang.String schemeIOMS

  URI scheme `IOMS`.

  See Also:
    Constant Field Values

### schemeOMA

    public static final java.lang.String schemeOMA

  URI scheme `SAS-OMA`. This scheme is a specialization of scheme `IOM`.

  See Also:
    Constant Field Values

### schemeBRGS

    public static final java.lang.String schemeBRGS

See Also:
  Constant Field Values

### protocolBRG

    public static final java.lang.String protocolBRG

  IOM URI protocol Bridge.

  See Also:
    Constant Field Values

### protocolINT

    public static final java.lang.String protocolINT

  IOM URI protocol Internal.

  See Also:
    Constant Field Values

### protocolCOM

    public static final java.lang.String protocolCOM

  IOM URI protocol COM.

  See Also:
    Constant Field Values

### encrLevelEverything

    public static final java.lang.String encrLevelEverything

  IOM URI attribute `encrlvl` value everything.

  See Also:
    Constant Field Values

### encrLevelCredentials

    public static final java.lang.String encrLevelCredentials

  IOM URI attribute `encrlvl` value credentials.

  See Also:
    Constant Field Values

### encrLevelNone

    public static final java.lang.String encrLevelNone

  IOM URI attribute `encrlvl` value none.

  See Also:
    Constant Field Values

### hostKey

    public static final java.lang.String hostKey

  The key for IOM attribute `host`. The value type in the attribute map is `java.lang.String`.

  See Also:
    `getAttributes()`, Constant Field Values

### portKey

    public static final java.lang.String portKey

  The key for IOM attribute `port`. The value type in the attribute map is `java.lang.Integer`.

  See Also:
    `getAttributes()`, Constant Field Values

### protocolKey

    public static final java.lang.String protocolKey

  The key for IOM attribute `protocol`. The value type in the attribute map is `java.lang.String`.

  See Also:
    `getAttributes()`, `protocolBRG`, `protocolCOM`, `protocolINT`, Constant Field Values

### majorKey

    public static final java.lang.String majorKey

  The key for IOM attribute `major`. The value type in the attribute map is `java.lang.Byte`.

  See Also:
    `getAttributes()`, Constant Field Values

### minorKey

    public static final java.lang.String minorKey

  The key for IOM attribute `minor`. The value type in the attribute map is `java.lang.Byte`.

  See Also:
    `getAttributes()`, Constant Field Values

### localeKey

    public static final java.lang.String localeKey

  The key for IOM attribute `locale`. The value type in the attribute map is `java.util.Locale`.

  See Also:
    `getAttributes()`, Constant Field Values

### encrKey

    public static final java.lang.String encrKey

  The key for IOM attribute `encr`. The value type in the attribute map is `java.lang.String`.

  See Also:
    `getAttributes()`, Constant Field Values

### encrLevelKey

    public static final java.lang.String encrLevelKey

  The key for IOM attribute `encrlvl`. The value type in the attribute map is `java.lang.String`.

  See Also:
    `getAttributes()`, `#encryptionLevelCredentials`, `#encryptionLevelEverything`, `#encryptionLevelNone`, Constant Field Values

### sealedPasswordKey

    public static final java.lang.String sealedPasswordKey

  The key for IOM attribute `sealedpassword`. The value type in the attribute map is `com.sas.net.crypto.SealedString`.

  See Also:
    `getAttributes()`, Constant Field Values

### userKey

    public static final java.lang.String userKey

  The key for IOM attribute `user`. The value type in the attribute map is `java.lang.String`.

  See Also:
    `getAttributes()`, Constant Field Values

### passKey

    public static final java.lang.String passKey

  The key for IOM attribute `pass`. The value type in the attribute map is `java.lang.String`.

  See Also:
    `getAttributes()`, Constant Field Values

### sealedPassKey

    public static final java.lang.String sealedPassKey

  The key for IOM attribute `sealedpass`. The value type in the attribute map is `java.lang.String`.

  See Also:
    `getAttributes()`, Constant Field Values

### classFactoryKey

    public static final java.lang.String classFactoryKey

  The key for IOM attribute `classfactory`. The value type in the attribute map is `java.lang.String`. An alternate name for this attribute is `clsid`.

  See Also:
    `getAttributes()`, `clsidKey`, Constant Field Values

### clsidKey

    public static final java.lang.String clsidKey

  The key for IOM attribute `clsid`. The value type in the attribute map is `java.lang.String`. An alternate name for this attribute is `classfactory`.

  See Also:
    `getAttributes()`, `classFactoryKey`, Constant Field Values

### serverNameKey

    public static final java.lang.String serverNameKey

  The key for IOM attribute `servername`. The value type in the attribute map is `java.lang.String`.

  See Also:
    `getAttributes()`, Constant Field Values

### interfaceIIDKey

    public static final java.lang.String interfaceIIDKey

  The key for IOM attribute `interfaceiid`. The value type in the attribute map is `java.lang.String`. An alternate name for this attribute is `iid`.

  See Also:
    `getAttributes()`, `iidKey`, Constant Field Values

### timeoutKey

    public static final java.lang.String timeoutKey

  The key for IOM attribute `timeout`. The value type in the attribute map is `java.lang.Integer`.

  See Also:
    `getAttributes()`, Constant Field Values

### trustedSASKey

    public static final java.lang.String trustedSASKey

  The key for IOM attribute `trustedsas`. The value type in the attribute map is `java.lang.Boolean`. Trusted peer connections in IOM Bridge for Java require the security permissions `com.sas.iom.orb.ORBPermission("brg.trustedPeer")` and `java.security.SecurityPermission("createAccessControlContext")`.

  See Also:
    `getAttributes()`, Constant Field Values

### iidKey

    public static final java.lang.String iidKey

  The key for IOM attribute `iid`. The value type in the attribute map is `java.lang.String`. An alternate name for this attribute is `interfaceiid`.

  See Also:
    `getAttributes()`, `interfaceIIDKey`, Constant Field Values

### classNameKey

    public static final java.lang.String classNameKey

  The key for IOM attribute `classname`. The value type in the attribute map is `java.lang.String`.

  See Also:
    `getAttributes()`, Constant Field Values

### domainKey

    public static final java.lang.String domainKey

  The key for IOM attribute `domain`. The value type in the attribute map is `java.lang.String`.

  See Also:
    `getAttributes()`, Constant Field Values

### securityPackageKey

    public static final java.lang.String securityPackageKey

  The key for IOM attribute `securitypackage`. The value type in the attribute map is `java.lang.String`.

  See Also:
    `getAttributes()`, Constant Field Values

### securityPackageListKey

    public static final java.lang.String securityPackageListKey

  The key for IOM attribute `securitypackagelist`. The value type in the attribute map is `java.lang.String`.

  See Also:
    `getAttributes()`, Constant Field Values

### spnKey

    public static final java.lang.String spnKey

  The key for IOM attribute `spn`. The value type in the attribute map is `java.lang.String`.

  See Also:
    `getAttributes()`, Constant Field Values

### svidKey

    public static final java.lang.String svidKey

  The key for IOM attribute `svid`. The value type in the attribute map is `java.lang.String`.

  See Also:
    `getAttributes()`, Constant Field Values

### noRedirectKey

    public static final java.lang.String noRedirectKey

  The key for IOM attribute `noredirect`. The value type in the attribute map is `java.lang.Boolean`.

  See Also:
    `getAttributes()`, Constant Field Values

### zeroConfigKey

    public static final java.lang.String zeroConfigKey

  The key for IOM attribute `zeroconfig`. The value type in the attribute map is `java.lang.Boolean`.

  See Also:
    `getAttributes()`, Constant Field Values

### applicationNameKey

    public static final java.lang.String applicationNameKey

  The key for IOM attribute `applicationname`. The value type in the attribute map is `java.lang.String`.

  See Also:
    `getAttributes()`, Constant Field Values

### sasCommandKey

    public static final java.lang.String sasCommandKey

  The key for IOM attribute `sascommand`. The value type is the attribute map is `java.lang.String`. This attribute is ignored unless the value for the `zeroconfig` attribute is true.

  See Also:
    `getAttributes()`, Constant Field Values

### tenantIDKey

    public static final java.lang.String tenantIDKey

  The key for the IOM attribute `tenantid`. The value type in the attribute map is `java.lang.String`.

  See Also:
    `getAttributes()`, Constant Field Values

### proxyListKey

    public static final java.lang.String proxyListKey

  The key for the IOM attribute `proxylist`. The value type in the attribute map is `java.lang.String`.

  See Also:
    `getAttributes()`, Constant Field Values

### ticketAuthenticationKey

    public static final java.lang.String ticketAuthenticationKey

  The key for the IOM attributes `ticketAuthentication`. The value type in the attribute map is `java.lang.Boolean`.

  See Also:
    `getAttributes()`, Constant Field Values

### authServiceKey

    public static final java.lang.String authServiceKey

  The key for the IOM attribute `authService`. The value type in the attribute map is `java.lang.String`.

  See Also:
    `getAttributes()`, Constant Field Values

Constructor Detail

### SASURI

    public SASURI(java.lang.String str)
           throws java.net.URISyntaxException

  Construct a SASURI.

  Parameters:
    `str` - the string representation of the URI
  Throws:
    `java.net.URISyntaxException` - if the URI scheme is not supported or if the URI has invalid syntax
    `java.lang.NullPointerException` - if the URI is `null`

### SASURI

    public SASURI(char[] uriChars)
           throws java.net.URISyntaxException

  Construct a SASURI for a character array. The character array may be cleared after this constructor returns.

  Parameters:
    `str` - the character array representation of the URI
  Throws:
    `java.net.URISyntaxException` - if the URI scheme is not supported or if the URI has invalid syntax
    `java.lang.NullPointerException` - if the URI is `null`

Method Detail

### equals

    public boolean equals(java.lang.Object that)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Returns the string representation of this SASURI. Leading and trailing whitespace is trimmed.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation of this SASURI

### toCharArray

    public char[] toCharArray()

### toBlottedString

    public java.lang.String toBlottedString()

  Returns the string used to construct this SASURI with sensitive information blotted out. The value of the `pass` attribute will be replaced with `xxxxxxxx`.

  Returns:
    the string used to construct this SASURI with sensitive information blotted out.

### getScheme

    public java.lang.String getScheme()

  Get the scheme part of the URI.

  Returns:
    the scheme part of the URI

### getHost

    public java.lang.String getHost()

  Get the host part of the URI.

  Returns:
    the host part of the URI

### getPort

    public int getPort()

  Get the port part of the URI. Returns `-1` if the port part of the URI is unspecified.

  Returns:
    the port part of the URI

### getPortNumber

    public java.lang.Integer getPortNumber()

  Get the port part of the URI as an Integer. Returns null if the port part of the URI is unspecified.

  Returns:
    the port part of the URI as an Integer

### getProtocol

    public java.lang.String getProtocol()

  Get the protocol part of the URI.

  Returns:
    the protocol part of the URI

### getMajor

    public byte getMajor()

  Get the value of the `major` attribute. If a value for this attribute was not provided, this method will return `-1`.

  Returns:
    the value of the `major` attribute

### getMinor

    public byte getMinor()

  Get the value of the `minor` attribute. If a value for this attribute was not provided, this method will return `-1`.

  Returns:
    the value of the `minor` attribute

### getLocale

    public java.util.Locale getLocale()

  Get the value of the `locale` attribute. If a value for this attribute was not provided, this method will return `null`.

  Returns:
    the value of the `locale` attribute

### getEncrLevel

    public java.lang.String getEncrLevel()

  Get the value of the `encrlvl` attribute. If a value for this attribute was not provided, this method will return `null`.

  Returns:
    the value of the `encrlvl` attribute

### getEncr

    public java.lang.String getEncr()

  Get the value of the `encr` attribute. If a value for this attribute was not provided, this method will return `null`.

  Returns:
    the value of the `encr` attribute

### getUser

    public java.lang.String getUser()

  Get the value of the `user` attribute. If a value for this attribute was not provided, this method will return `null`.

  Returns:
    the value of the `user` attribute

### getPass

    public java.lang.String getPass()

  Get the value of the `pass` attribute. If a value for this attribute was not provided, this method will return `null`.

  Returns:
    the value of the `pass` attribute

### getSealedPass

    public com.sas.net.crypto.SealedString getSealedPass()

### getSealedPassword

    public com.sas.net.crypto.SealedString getSealedPassword()

### getClassFactory

    public java.lang.String getClassFactory()

  Get the value of the `classfactory` attribute. If a value for this attribute was not provided, this method will return `null`.

  Returns:
    the value of the `classfactory` attribute

### getClsid

    public java.lang.String getClsid()

  Get the value of the `clsid` attribute. If a value for this attribute was not provided, this method will return `null`.

  Returns:
    the value of the `clsid` attribute

### getServerName

    public java.lang.String getServerName()

  Get the value of the `servername` attribute. If a value for this attribute was not provided, this method will return `null`.

  Returns:
    the value of the `servername` attribute

### getInterfaceIID

    public java.lang.String getInterfaceIID()

  Get the value of the `interfaceiid` attribute. If a value for this attribute was not provided, this method will return `null`.

  Returns:
    the value of the `interfaceiid` attribute

### getIID

    public java.lang.String getIID()

  Get the value of the `iid` attribute. If a value for this attribute was not provided, this method will return `null`.

  Returns:
    the value of the `iid` attribute

### getTimeout

    public int getTimeout()

  Get the value of the `timeout` attribute. If a value for this attribute was not provided, this method will return `-1`.

  Returns:
    the value of the `timeout` attribute

### isTrustedSAS

    public boolean isTrustedSAS()

  Returns `true` if the `trusted` attribute was specified and `false` otherwise. Trusted peer connections in IOM Bridge for Java require the security permissions `com.sas.iom.orb.ORBPermission("brg.trustedPeer")` and `java.security.SecurityPermission("createAccessControlContext")`.

  Returns:
    `true` if the `trusted` attribute was specified and `false` otherwise.

### getClassName

    public java.lang.String getClassName()

  Get the value of the `classname` attribute. If a value for this attribute was not provided, this method will return `null`.

  Returns:
    the value of the `classname` attribute

### getSecurityPackage

    public java.lang.String getSecurityPackage()

  Get the value of the `securitypackage` attribute. If a value for this attribute was not provided, this method will return `null`.

  Returns:
    the value of the `securitypackage` attribute

### getSecurityPackageList

    public java.lang.String getSecurityPackageList()

  Get the value of the `securitypackagelist` attribute. If a value for this attribute was not provided, this method will return `null`.

  Returns:
    the value of the `securitypackagelist` attribute

### getSPN

    public java.lang.String getSPN()

  Get the value of the `spn` attribute. If a value for this attribute was not provided, this method will return `null`.

  Returns:
    the value of the `spn` attribute

### getDomain

    public java.lang.String getDomain()

  Get the value of the `domain` attribute. If a value for this attribute was not provided, this method will return `null`.

  Returns:
    the value of the `domain` attribute

### getSVID

    public java.lang.String getSVID()

  Get the value of the `svid` attribute. If a value for this attribute was not provided, this method will return `null`.

  Returns:
    the value of the `svid` attribute

### isNoRedirect

    public boolean isNoRedirect()

  Returns `true` if the `noredirect` attribute was specified and `false` otherwise.

  Returns:
    `true` if the `noredirect` attribute was specified and `false` otherwise.

### isZeroConfig

    public boolean isZeroConfig()

  Get the value of the `zeroconfig` attribute. If a value for this attribute was not provided, this method will return `false`.

  Returns:
    the value of the `zeroConfig` attribute

### getApplicationName

    public java.lang.String getApplicationName()

  Get the value of the `applicationname` attribute. If a value for this attribute was not provided, this method will return `null`.

  Returns:
    the value of the `applicationname` attribute

### getSasCommand

    public java.lang.String getSasCommand()

  Get the value of the `sascommand` attribute. If a value for this attribute was not provided, this method will return `null`.

  Returns:
    the value of the `sascommand` attribute

### getTenantID

    public java.lang.String getTenantID()

  Get the value of the `tenantid` attribute. If a value for this attribute was not provided, this method will return `null`.

  Returns:
    the value of the `tenantid` attribute

### getProxyList

    public java.lang.String getProxyList()

  Get the value of the `proxylist` attribute. If a value for this attribute was not provided, this method will return `null`.

  Returns:
    the value of the `proxylist` attribute

### isTicketAuthentication

    public boolean isTicketAuthentication()

  Returns `true` if the `ticketauthentication` attribute was specified and `false` otherwise.

  Returns:
    `true` if the `ticketauthentication` attribute was specified and `false` otherwise.

### getAuthService

    public java.lang.String getAuthService()

  Gets the value of the `authService` attribute. If a value for this attribute was not provided, this method will return `null`.

  Returns:
    the value of the `authService` attribute

### getAttributes

    public java.util.Map getAttributes()

  Returns all the IOM attributes for this URI encapsulated in a `Map`. The keys for the map are the `*Key` fields of this class. The type of each value is specified in the documentation for its respective key. If the SASURI contains an encrypted password, it will be decrypted in the returned attributes. Use getSecureAttributes() to prevent the password from being decrypted.

  Returns:
    all the IOM attributes for this URI encapsulated in a `Map`.

### getSecureAttributes

    public java.util.Map getSecureAttributes()

  Returns all the IOM attributes for this URI encapsulated in a `Map`. The keys for the map are the `*Key` fields of this class. The type of each value is specified in the documentation for its respective key. If the SASURI contains an encrypted password, it will be returned in its encrypted form.

  Returns:
    all the IOM attributes for this URI encapsulated in a `Map`.

### getAttributesForScheme

    public java.util.Map getAttributesForScheme(java.lang.String scheme)

  Returns all the IOM attributes for this URI corresponding to the given scheme encapsulated in a `Map`. The keys for the map are the `*Key` fields of this class. The type of each value is specified in the documentation for its respective key. If the SASURI contains an encrypted password, it will be decrypted in the returned attributes. Use getSecureAttributes() to prevent the password from being decrypted.

  Parameters:
    `scheme` - the scheme
  Returns:
    all the IOM attributes for this URI encapsulated in a `Map`.

### getSecureAttributesForScheme

    public java.util.Map getSecureAttributesForScheme(java.lang.String scheme)

  Returns the IOM attributes for this URI corresponding to the given scheme encapsulated in a `Map`. The keys for the map are the `*Key` fields of this class. The type of each value is specified in the documentation for its respective key. If the SASURI contains an encrypted password, it will be returned in its encrypted form.

  Returns:
    all the IOM attributes for this URI encapsulated in a `Map`.

### updateAttribute

    public static void updateAttribute(java.lang.String name,
                                       java.lang.Object value,
                                       java.util.Map attrMap)

### urlEncodeChars

    public static char[] urlEncodeChars(char[] plainChars)

### urlDecodeChars

    public static char[] urlDecodeChars(char[] encChars)

### create

    public static SASURI create(java.lang.String str)

  Construct and return a SASURI from its string representation. If the constructor throws a URISyntaxException, it will be wrapped in an IllegalArgumentException. This method is provided for situation in which the URI syntax is expected to be correct, and any errors should be treated as a coding error instead of a user input error.

  Parameters:
    `str` - the string representation of the URI
  Returns:
    a SASURI

### create

    public static SASURI create(char[] uriChars)

  Construct and return a SASURI from its character array representation. If the constructor throws a URISyntaxException, it will be wrapped in an IllegalArgumentException. This method is provided for situation in which the URI syntax is expected to be correct, and any errors should be treated as a coding error instead of a user input error.

  Parameters:
    `uriChars` - the character array representation of the URI
  Returns:
    a SASURI

### composeToCharArray

    public static char[] composeToCharArray(java.lang.String scheme,
                                            java.util.Map attrMap)

### unsealString

    protected static java.lang.String unsealString(com.sas.net.crypto.SealedString sealed)

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.